Subject: Re: bug#7920: 24.0.50; Crash in balance_an_interval + 26

From: Stefan Monnier <[email-masked]>
Date: Wed, 26 Jan 2011 22:31:42 -0500

Looking at the backtrace, the crash is probably not really in
balance_an_interval; instead what happened is that Emacs got stuck in an
infinite recursion and the OS killed the process when it reached the
maximum allowed stack depth, which happened to be when Emacs was in
balance_an_interval.

I couldn't find any user-provided info in the bug-report, is that right?

If I understand the backtrace right, it seems that the infinite
recursion went through `funcall', so it was an infinite recursion within
Elisp, and those are supposed to be caught before reaching the
maximum allowed stack depth thanks to limits like max-specpdl-size.

So, maybe the bug is that max-specpdl-size is larger than the OS allows,
in which case we should try and figure out why that is: is it because
someone set it explicitly higher (too high), or because the OS's maximum
stack depth is lower than we thought?

        Stefan